# $Revision: 1.21 $, $Date: 2002/08/06 08:32:14 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Map8
Summary:	Unicode::Map8 perl module 
Summary(cs):	Modul Unicode::Map8 pro Perl
Summary(da):	Perlmodul Unicode::Map8
Summary(de):	Unicode::Map8 Perl Modul
Summary(es):	Mdulo de Perl Unicode::Map8
Summary(fr):	Module Perl Unicode::Map8
Summary(it):	Modulo di Perl Unicode::Map8
Summary(ja):	Unicode::Map8 Perl ⥸塼
Summary(ko):	Unicode::Map8  
Summary(no):	Perlmodul Unicode::Map8
Summary(pl):	Modu perla Unicode::Map8
Summary(pt_BR):	Mdulo Perl Unicode::Map8
Summary(pt):	Mdulo de Perl Unicode::Map8
Summary(ru):	  Perl Unicode::Map8
Summary(sv):	Unicode::Map8 Perlmodul
Summary(uk):	  Perl Unicode::Map8
Summary(zh_CN):	Unicode::Map8 Perl ģ
Name:		perl-Unicode-Map8
Version:	0.11
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Unicode-String
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Map8 - Mapping table between 8-bit chars and Unicode.

%description -l pl
Unicode::Map8 - tablice mapowania pomidzy 8-bitowymi znakami a
Unicodem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install {diff_iso,make*maps,map8_*,umap} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README *txt
%attr(755,root,root) %{_bindir}/*
%{perl_sitearch}/Unicode/Map8.pm
%{perl_sitearch}/Unicode/Map8
%dir %{perl_sitearch}/auto/Unicode/Map8
%{perl_sitearch}/auto/Unicode/Map8/Map8.bs
%attr(755,root,root) %{perl_sitearch}/auto/Unicode/Map8/Map8.so
%{_mandir}/man[13]/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unicode-Map8.spec,v $
Revision 1.21  2002/08/06 08:32:14  ankry
- translations, cleaning
- added conditional test
- added /usr/bin/umap and its manpage
- fixed examples attributes
- release 5

Revision 1.20  2002/08/05 18:55:31  marcus
- rel.4.
- use new %%doc

Revision 1.19  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:29  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:32  depesz
automatic: Source location unified, Relase Up

Revision 1.14  2002/02/09 10:54:33  kloczek
- updated to 0.11.

Revision 1.13  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:18:08  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/10 21:58:57  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:41  pius
- updated to 0.09

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
